/* $Workfile: OsaWin32Def.h $   $Revision: 3 $    $Modtime: 11/10/00 12:10p $  */
#ifndef OSA_WIN32_DEF_H
#define OSA_WIN32_DEF_H
/*******************************************************************************

  @doc PublicHwApi OsaWin32Def

  Copyright (C) 1999 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OsaWin32Def | This file contains types and macros for the Win32
  version of the platform generic Osa implementation 
  (used by the demo programs)

  @contents2
  OsaWin32Def.h |

  @index func | OsaWin32Def

  @contents2
  Win32 Osa Types and Macros | Types and macros for the Win32
  version of the platform generic Osa implementation 
  (used by the demo programs)

*******************************************************************************/

#ifndef OSA_DEF_H
#error This file should only be included from OsaDef.h
#endif


#if !OSA_WIN32 && !WIN32
#error "This file should only be included in Kernel mode OSA_WIN32 or user mode WIN32 code"
#endif

#if __cplusplus
extern "C" {
#endif

#define OSA_CDECL _cdecl

// All Win32 configurations use the same types
// We don't even need a system header for it

typedef unsigned __int64 OsaUint64;
typedef unsigned long    OsaUint32;
typedef unsigned short   OsaUint16;
typedef unsigned char    OsaUint8;
typedef signed   __int64 OsaInt64;
typedef signed   long    OsaInt32;
typedef signed   short   OsaInt16;
typedef signed   char    OsaInt8;
typedef double           OsaFp64;
typedef void             OsaVoid, *OsaVoidP;
typedef unsigned short   OsaWchar, *OsaWcharP;

#if __cplusplus
}
#endif

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/
#endif // OSA_WIN32_DEF_H
